#
# spec file for package libmnl
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libmnl
Summary:        Minimalistic Netlink communication library
%define lname	%{name}0
Version:        1.0.1
Release:        1
License:        LGPL-2.1+
Group:          Productivity/Networking/Security
URL:            http://netfilter.org/projects/libmnl/
Source:         http://netfilter.org/projects/libmnl/files/%name-%version.tar.bz2
Source1:        http://netfilter.org/projects/libmnl/files/%name-%version.tar.bz2.sig
Source9:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig >= 0.19
%if 0%{?suse_version} < 1130
#BuildRequires:  linux-kernel-headers
%else
#BuildRequires:  linux-glibc-devel
%endif

%description
libmnl is a minimalistic user-space library oriented to Netlink
developers. There are a lot of common tasks in parsing, validating,
constructing of both the Netlink header and TLVs that are repetitive
and easy to get wrong. This library aims to provide simple helpers
that allows you to re-use code and to avoid re-inventing the wheel.

%package -n %lname
Group:          System/Libraries
Summary:        Minimalistic Netlink communication library

%description -n %lname
libmnl is a minimalistic user-space library oriented to Netlink
developers. There are a lot of common tasks in parsing, validating,
constructing of both the Netlink header and TLVs that are repetitive
and easy to get wrong. This library aims to provide simple helpers
that allows you to re-use code and to avoid re-inventing the wheel.

%package -n %name-devel
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Summary:        Development files for libmnl

%description -n %name-devel
libmnl is a minimalistic user-space library oriented to Netlink
developers. There are a lot of common tasks in parsing, validating,
constructing of both the Netlink header and TLVs that are repetitive
and easy to get wrong. This library aims to provide simple helpers
that allows you to re-use code and to avoid re-inventing the wheel.

%prep
%setup -q

%build
if [ ! -e configure ]; then
	autoreconf -fi;
fi;
%configure --includedir=%_includedir/%name-%version
make %{?_smp_mflags}

%install
%makeinstall
find "%buildroot" -name "*.la" -delete;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %name-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
